DevMode: Per-project service control
====================================

This utility lets you start the services that you need when you need them,
as defined in a per-project manifest file.


## Usage

Install using composer:

    $ composer global require noccylabs/devmode:@stable  # ...or @dev

Make sure that your `~/.composer/vendor/bin` is on your path.

Next, create a `devmode.json` manifest in the root of your project:

    {
        "uses": {
            "mongodb": true
        }
    }

Now, you can control your services from the terminal:

    # To start the service(s):
    $ devmode up

    # To stop them again:
    $ devmode down

    # To check the status on the services:
    $ devmode status


## Plugin functionality

### Use a specific memcached instance

    "memcached/instance_name": true

To start all, either of these works:

    "memcached/all": true
    "memcached": true

### Use a symfony web server

    "symfony/httpd": true
    "symfony/httpd": { "bind":"127.0.0.1:8123" }

### Use any service

    "service_name": true


## Writing plugins

Have a look at the bundled plugins for reference.