MySQL Provisioning
==================

This plugin provisions MySQL databases. To use it, define your database as a MySQL
resource:

    {
        ...
        "resources": {
            "mysql/awesomesite": true
        }
    }

By just providing 'true', the database name will be used for username and password
as well. This is insecure by design, as it is intended to be used for local development
only.

You can provide additional options:

    "resources": {
        "mysql": {
            "name":"awesomesite",
            "user":"username",
            "pass":"password",
            "host":"localhost",
            "seed":"seedfile.sql"
        }
    }

The seedfile is used to populate the database. It can be compressed using gzip or bzip2.
