<?php

namespace DevMode\Plugin\Memcached\Instance;

use NoccyLabs\DevMode\Plugin;
use NoccyLabs\DevMode\Dependency;

class MemcachedPlugin extends Plugin implements Plugin\IDependencyManager
{
    protected $symfony;

    public function onLoad()
    {
    }

    public function isManagedDependency(Dependency $dependency)
    {
        if (fnmatch("memcached/*", $dependency->getName())) {
            return 1;
        }
    }

    public function setDependencyState(Dependency $dependency, $state)
    {
        $args = [];
        $memcached = "/etc/init.d/memcached";
        list($void,$instance) = explode("/",$dependency->getName(),2);
        if ($instance != "all") {
            $args[] = $instance;
        }
        if ($state == true) {
            $this->exec($memcached, "start", ...$args);
        } else {
            $this->exec($memcached, "stop", ...$args);
        }
    }

    public function showDependencyStatus(Dependency $dependency)
    {
    }

}

return new MemcachedPlugin();
