<?php

namespace DevMode\Plugin\Service\Service;

use NoccyLabs\DevMode\Plugin;
use NoccyLabs\DevMode\Dependency;

class ServicePlugin extends Plugin implements Plugin\IDependencyManager
{

    public function onLoad()
    {
        $bin = trim(exec("which service"));
        if (!$bin) {
            return false;
        }
    }

    public function isManagedDependency(Dependency $dependency)
    {
        // Return weight, higher weight=higher priority. We do this so that a plugin
        // can claim dependencies, and this becomes the fallback.
        return 0.1;
    }

    public function setDependencyState(Dependency $dependency, $state)
    {
        if ($state == true) {
            $this->execSudo("service", $dependency->getName(), "start");
        } else {
            $this->execSudo("service", $dependency->getName(), "stop");
        }
    }

    public function showDependencyStatus(Dependency $dependency)
    {
        $this->execSudo("service", $dependency->getName(), "status");
    }

}

return new ServicePlugin();
