<?php

namespace DevMode\Plugin\Service\Systemctl;

use NoccyLabs\DevMode\Plugin;
use NoccyLabs\DevMode\Dependency;

class SystemctlPlugin extends Plugin implements Plugin\IDependencyManager
{

    public function onLoad()
    {
        $bin = trim(exec("which systemctl"));
        if (!$bin) {
            // don't load if we can't find systemctl
            return false;
        }
    }

    public function isManagedDependency(Dependency $dependency)
    {
        // Return weight, higher weight=higher priority. We do this so that a plugin
        // can claim dependencies, and this becomes the fallback.
        return 0.1;
    }

    public function setDependencyState(Dependency $dependency, $state)
    {
        if ($state == true) {
            $this->execSudo("systemctl", "start", $dependency->getName());
        } else {
            $this->execSudo("systemctl", "stop", $dependency->getName());
        }
    }

    public function showDependencyStatus(Dependency $dependency)
    {
        $this->execSudo("systemctl", "status", "-n0", $dependency->getName());
    }

}

return new SystemctlPlugin();
