<?php

foreach ([
    __DIR__."/../../../autoload.php",
    __DIR__."/../vendor/autoload.php"
] as $loader) {
    if (file_exists($loader)) {
        require_once $loader;
        break;
    }
}

$props = json_decode(file_get_contents(__DIR__."/props.json"), true);
foreach ($props as $k=>$v) define($k,$v);

use NoccyLabs\DevMode\Application;

define("EXIT_OK", 0);
define("EXIT_BAD_COMMAND", 1);
define("EXIT_ERROR", 2);

$app = new Application();
try {
    $ec = (int)$app->run();
    exit($ec);
} catch (Exception $e) {
    fprintf(STDERR, "Fatal: %s\n", $e->getMessage());
    exit(EXIT_ERROR);
}
